Loading...
Searching...
No Matches
Application layered TCP Functions
APIs » "raw" APIs » Application layered TCP Introduction

## Topics

| TLS layer

## Data Structures

struct | altcp_allocator_s

## Typedefs

typedef struct altcp_allocator_s | altcp_allocator_t

## Functions

struct altcp_pcb * | altcp_new_ip6 (altcp_allocator_t *allocator)
struct altcp_pcb * | altcp_new (altcp_allocator_t *allocator)
struct altcp_pcb * | altcp_new_ip_type (altcp_allocator_t *allocator, u8_t ip_type)
void | altcp_arg (struct altcp_pcb *conn, void *arg)
void | altcp_accept (struct altcp_pcb *conn, altcp_accept_fn accept)
void | altcp_recv (struct altcp_pcb *conn, altcp_recv_fn recv)
void | altcp_sent (struct altcp_pcb *conn, altcp_sent_fn sent)
void | altcp_poll (struct altcp_pcb *conn, altcp_poll_fn poll, u8_t interval)
void | altcp_err (struct altcp_pcb *conn, altcp_err_fn err)
void | altcp_recved (struct altcp_pcb *conn, u16_t len)
err_t | altcp_bind (struct altcp_pcb *conn, const ip_addr_t *ipaddr, u16_t port)
err_t | altcp_connect (struct altcp_pcb *conn, const ip_addr_t *ipaddr, u16_t port, altcp_connected_fn connected)
struct altcp_pcb * | altcp_listen_with_backlog_and_err (struct altcp_pcb *conn, u8_t backlog, err_t *err)
void | altcp_abort (struct altcp_pcb *conn)
err_t | altcp_close (struct altcp_pcb *conn)
err_t | altcp_shutdown (struct altcp_pcb *conn, int shut_rx, int shut_tx)
err_t | altcp_write (struct altcp_pcb *conn, const void *dataptr, u16_t len, u8_t apiflags)
err_t | altcp_output (struct altcp_pcb *conn)
u16_t | altcp_mss (struct altcp_pcb *conn)
u16_t | altcp_sndbuf (struct altcp_pcb *conn)
u16_t | altcp_sndqueuelen (struct altcp_pcb *conn)
void | altcp_setprio (struct altcp_pcb *conn, u8_t prio)

## Detailed Description

This file contains the common functions for altcp to work. For more details see Application layered TCP Introduction.

## Typedef Documentation

## altcp_allocator_t

typedef struct altcp_allocator_s altcp_allocator_t

Struct containing an allocator and its state.

## Function Documentation

## altcp_abort()

void altcp_abort | ( | struct altcp_pcb * | conn | ) |

See also
  tcp_abort()

## altcp_accept()

void altcp_accept | ( | struct altcp_pcb * | conn,
|  | altcp_accept_fn | accept )

See also
  tcp_accept()

## altcp_arg()

void altcp_arg | ( | struct altcp_pcb * | conn,
|  | void * | arg )

See also
  tcp_arg()

## altcp_bind()

err_t altcp_bind | ( | struct altcp_pcb * | conn,
|  | const ip_addr_t * | ipaddr,
|  | u16_t | port )

See also
  tcp_bind()

## altcp_close()

err_t altcp_close | ( | struct altcp_pcb * | conn | ) |

See also
  tcp_close()

## altcp_connect()

err_t altcp_connect | ( | struct altcp_pcb * | conn,
|  | const ip_addr_t * | ipaddr,
|  | u16_t | port,
|  | altcp_connected_fn | connected )

See also
  tcp_connect()

## altcp_err()

void altcp_err | ( | struct altcp_pcb * | conn,
|  | altcp_err_fn | err )

See also
  tcp_err()

## altcp_listen_with_backlog_and_err()

struct altcp_pcb * altcp_listen_with_backlog_and_err | ( | struct altcp_pcb * | conn,
|  | u8_t | backlog,
|  | err_t * | err )

See also
  tcp_listen_with_backlog_and_err()

## altcp_mss()

u16_t altcp_mss | ( | struct altcp_pcb * | conn | ) |

See also
  tcp_mss()

## altcp_new()

struct altcp_pcb * altcp_new | ( | altcp_allocator_t * | allocator | ) |

altcp_new: altcp_new for IPv4

## altcp_new_ip6()

struct altcp_pcb * altcp_new_ip6 | ( | altcp_allocator_t * | allocator | ) |

altcp_new_ip6: altcp_new for IPv6

## altcp_new_ip_type()

struct altcp_pcb * altcp_new_ip_type | ( | altcp_allocator_t * | allocator,
|  | u8_t | ip_type )

altcp_new_ip_type: called by applications to allocate a new pcb with the help of an allocator function.

Parameters

  allocator | allocator function and argument
  ip_type | IP version of the pcb (lwip_ip_addr_type)

Returns
  a new altcp_pcb or NULL on error

## altcp_output()

err_t altcp_output | ( | struct altcp_pcb * | conn | ) |

See also
  tcp_output()

## altcp_poll()

void altcp_poll | ( | struct altcp_pcb * | conn,
|  | altcp_poll_fn | poll,
|  | u8_t | interval )

See also
  tcp_poll()

## altcp_recv()

void altcp_recv | ( | struct altcp_pcb * | conn,
|  | altcp_recv_fn | recv )

See also
  tcp_recv()

## altcp_recved()

void altcp_recved | ( | struct altcp_pcb * | conn,
|  | u16_t | len )

See also
  tcp_recved()

## altcp_sent()

void altcp_sent | ( | struct altcp_pcb * | conn,
|  | altcp_sent_fn | sent )

See also
  tcp_sent()

## altcp_setprio()

void altcp_setprio | ( | struct altcp_pcb * | conn,
|  | u8_t | prio )

See also
  tcp_setprio()

## altcp_shutdown()

err_t altcp_shutdown | ( | struct altcp_pcb * | conn,
|  | int | shut_rx,
|  | int | shut_tx )

See also
  tcp_shutdown()

## altcp_sndbuf()

u16_t altcp_sndbuf | ( | struct altcp_pcb * | conn | ) |

See also
  tcp_sndbuf()

## altcp_sndqueuelen()

u16_t altcp_sndqueuelen | ( | struct altcp_pcb * | conn | ) |

See also
  tcp_sndqueuelen()

## altcp_write()

err_t altcp_write | ( | struct altcp_pcb * | conn,
|  | const void * | dataptr,
|  | u16_t | len,
|  | u8_t | apiflags )

See also
  tcp_write()